Skip to content

Project End Date Change Requests

Operations Summary

Method Endpoint Description
Core CRUD
GET /api/project-end-date-change-requests/ List Project End Date Change Requests
GET /api/project-end-date-change-requests/{uuid}/ Retrieve
POST /api/project-end-date-change-requests/ Create
Other Actions
POST /api/project-end-date-change-requests/{uuid}/approve/ Approve project end date change request
POST /api/project-end-date-change-requests/{uuid}/cancel/ Cancel project end date change request. Only the creator can cancel
POST /api/project-end-date-change-requests/{uuid}/reject/ Reject project end date change request

Core CRUD

List Project End Date Change Requests

1
2
3
4
http \
  GET \
  https://api.example.com/api/project-end-date-change-requests/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.models.remote_project_update_request_state_enum import RemoteProjectUpdateRequestStateEnum # (1)
from waldur_api_client.api.project_end_date_change_requests import project_end_date_change_requests_list # (2)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = project_end_date_change_requests_list.sync(client=client)

for item in response:
    print(item)
  1. Model Source: RemoteProjectUpdateRequestStateEnum
  2. API Source: project_end_date_change_requests_list
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
import { projectEndDateChangeRequestsList } from 'waldur-js-client';

try {
  const response = await projectEndDateChangeRequestsList({
  auth: "Token YOUR_API_TOKEN"
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Description
created_by_uuid string (uuid) Created by UUID
customer_uuid string (uuid) Customer UUID
page integer A page number within the paginated result set.
page_size integer Number of results to return per page.
project_uuid string (uuid) Project UUID
state array

200 -

The response body is an array of objects, where each object has the following structure:

Field Type Description
url string (uri)
uuid string (uuid)
state string
project string (uri)
project_uuid string (uuid)
project_name string
customer_uuid string (uuid)
customer_name string
requested_end_date string (date) The requested new end date for the project
comment string Optional comment from the requester
created string (date-time)
created_by_uuid string (uuid)
created_by_full_name string
reviewed_at string (date-time) Timestamp when the review was completed
reviewed_by_uuid string (uuid)
reviewed_by_full_name string
review_comment string Optional comment provided during review

Retrieve

1
2
3
4
http \
  GET \
  https://api.example.com/api/project-end-date-change-requests/a1b2c3d4-e5f6-7890-abcd-ef1234567890/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.project_end_date_change_requests import project_end_date_change_requests_retrieve # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = project_end_date_change_requests_retrieve.sync(
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client
)

print(response)
  1. API Source: project_end_date_change_requests_retrieve
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
import { projectEndDateChangeRequestsRetrieve } from 'waldur-js-client';

try {
  const response = await projectEndDateChangeRequestsRetrieve({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required
uuid string (uuid)

200 -

Field Type Description
url string (uri)
uuid string (uuid)
state string
project string (uri)
project_uuid string (uuid)
project_name string
customer_uuid string (uuid)
customer_name string
requested_end_date string (date) The requested new end date for the project
comment string Optional comment from the requester
created string (date-time)
created_by_uuid string (uuid)
created_by_full_name string
reviewed_at string (date-time) Timestamp when the review was completed
reviewed_by_uuid string (uuid)
reviewed_by_full_name string
review_comment string Optional comment provided during review

Create

1
2
3
4
5
6
http \
  POST \
  https://api.example.com/api/project-end-date-change-requests/ \
  Authorization:"Token YOUR_API_TOKEN" \
  project="https://api.example.com/api/project/a1b2c3d4-e5f6-7890-abcd-ef1234567890/" \
  requested_end_date="2023-10-01"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
17
18
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.models.project_end_date_change_request_create_request import ProjectEndDateChangeRequestCreateRequest # (1)
from waldur_api_client.api.project_end_date_change_requests import project_end_date_change_requests_create # (2)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)

body_data = ProjectEndDateChangeRequestCreateRequest(
    project="https://api.example.com/api/project/a1b2c3d4-e5f6-7890-abcd-ef1234567890/",
    requested_end_date="2023-10-01"
)
response = project_end_date_change_requests_create.sync(
    client=client,
    body=body_data
)

print(response)
  1. Model Source: ProjectEndDateChangeRequestCreateRequest
  2. API Source: project_end_date_change_requests_create
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
import { projectEndDateChangeRequestsCreate } from 'waldur-js-client';

try {
  const response = await projectEndDateChangeRequestsCreate({
  auth: "Token YOUR_API_TOKEN",
  body: {
    "project": "https://api.example.com/api/project/a1b2c3d4-e5f6-7890-abcd-ef1234567890/",
    "requested_end_date": "2023-10-01"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Field Type Required Description
project string (uri)
requested_end_date string (date) The requested new end date for the project
comment string Optional comment from the requester

201 -

Field Type Description
project string (uri)
requested_end_date string (date) The requested new end date for the project
comment string Optional comment from the requester
uuid string (uuid)
state string

Other Actions

Approve project end date change request

Approve project end date change request

1
2
3
4
http \
  POST \
  https://api.example.com/api/project-end-date-change-requests/a1b2c3d4-e5f6-7890-abcd-ef1234567890/approve/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.models.review_comment_request import ReviewCommentRequest # (1)
from waldur_api_client.api.project_end_date_change_requests import project_end_date_change_requests_approve # (2)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)

body_data = ReviewCommentRequest()
response = project_end_date_change_requests_approve.sync(
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client,
    body=body_data
)

print(response)
  1. Model Source: ReviewCommentRequest
  2. API Source: project_end_date_change_requests_approve
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
import { projectEndDateChangeRequestsApprove } from 'waldur-js-client';

try {
  const response = await projectEndDateChangeRequestsApprove({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required
uuid string (uuid)
Field Type Required Description
comment string Optional comment for review

200 - No response body


Cancel project end date change request. Only the creator can cancel

Cancel project end date change request. Only the creator can cancel.

1
2
3
4
http \
  POST \
  https://api.example.com/api/project-end-date-change-requests/a1b2c3d4-e5f6-7890-abcd-ef1234567890/cancel/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.project_end_date_change_requests import project_end_date_change_requests_cancel # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = project_end_date_change_requests_cancel.sync(
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client
)

print(response)
  1. API Source: project_end_date_change_requests_cancel
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
import { projectEndDateChangeRequestsCancel } from 'waldur-js-client';

try {
  const response = await projectEndDateChangeRequestsCancel({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required
uuid string (uuid)

200 - No response body


Reject project end date change request

Reject project end date change request

1
2
3
4
http \
  POST \
  https://api.example.com/api/project-end-date-change-requests/a1b2c3d4-e5f6-7890-abcd-ef1234567890/reject/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.models.review_comment_request import ReviewCommentRequest # (1)
from waldur_api_client.api.project_end_date_change_requests import project_end_date_change_requests_reject # (2)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)

body_data = ReviewCommentRequest()
response = project_end_date_change_requests_reject.sync(
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client,
    body=body_data
)

print(response)
  1. Model Source: ReviewCommentRequest
  2. API Source: project_end_date_change_requests_reject
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
import { projectEndDateChangeRequestsReject } from 'waldur-js-client';

try {
  const response = await projectEndDateChangeRequestsReject({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required
uuid string (uuid)
Field Type Required Description
comment string Optional comment for review

200 - No response body